yum deplist список зависимостей пакета

Чтобы посмотреть список зависимостей для пакета в rpm-based Linux Red Hat, CentOS, Fedora и других дистрибутивах можно выполнить такие команды:

1. Получить все пакеты, в названии, которых есть “office”

# rpm -qa |grep -i "office"

libreoffice-impress-3.6.6.2-5.fc18.x86_64
libreoffice-calc-3.6.6.2-5.fc18.x86_64
libreoffice-writer-3.6.6.2-5.fc18.x86_64
libreoffice-core-3.6.6.2-5.fc18.x86_64
libreoffice-graphicfilter-3.6.6.2-5.fc18.x86_64
libreoffice-kde-3.6.6.2-5.fc18.x86_64
libreoffice-pdfimport-3.6.6.2-5.fc18.x86_64
libreoffice-math-3.6.6.2-5.fc18.x86_64
libreoffice-xsltfilter-3.6.6.2-5.fc18.x86_64
libreoffice-ure-3.6.6.2-5.fc18.x86_64
libreoffice-draw-3.6.6.2-5.fc18.x86_64
libreoffice-opensymbol-fonts-3.6.6.2-5.fc18.noarch
libreoffice-presenter-screen-3.6.6.2-5.fc18.x86_64

2. Получить список зависимостей для пакета libreoffice-draw-3.6.6.2-5.fc18.x86_64

# yum deplist libreoffice-draw-3.6.6.2-5.fc18.x86_64

Loaded plugins: auto-update-debuginfo, langpacks, presto, refresh-packagekit
Unable to send message to PackageKit

package: libreoffice-draw.x86_64 1:3.6.6.2-5.fc18
dependency: /bin/sh
provider: bash.x86_64 4.2.45-1.fc18
dependency: libreoffice-core = 1:3.6.6.2-5.fc18
provider: libreoffice-core.x86_64 1:3.6.6.2-5.fc18
dependency: libreoffice-graphicfilter = 1:3.6.6.2-5.fc18
provider: libreoffice-graphicfilter.x86_64 1:3.6.6.2-5.fc18
dependency: libreoffice-pdfimport = 1:3.6.6.2-5.fc18
provider: libreoffice-pdfimport.x86_64 1:3.6.6.2-5.fc18
dependency: libreoffice-ure = 1:3.6.6.2-5.fc18
provider: libreoffice-ure.x86_64 1:3.6.6.2-5.fc18